HostingDelivery
List Delivery accounts
GET
/api/delivery/accountsReturns Delivery accounts available to the authenticated user.
Authorization
api_key X-Api-Token<token>
API token used to authenticate requests.
In: header
Query Parameters
page?integer
Page number
Format
int32Default 1per?integer
Results per page
Format
int32Default 25query?string
Search query
with_domains?string
ids?string
status?string
Delivery account status filter.
all= include every Delivery account status.enabled= active and usable.wait_pay= waiting for payment.disabled= disabled.blocked= blocked by system policy or review.
Values
all | enabled | wait_pay | disabled | blockedtype?string
Delivery account type filter.
transactional= transactional SMTP/API sending.newsletter= marketing/newsletter sending.promotional= legacy alias for marketing/newsletter sending.
Values
transactional | newsletter | promotionalplan?string
Delivery account plan filter.
free= free plan.prepaid= prepaid message bundle.monthly= recurring monthly plan.
Values
free | prepaid | monthlyplan_messages_from?integer
Format
int32plan_messages_to?integer
Format
int32Response Body
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/api/delivery/accounts" \ -H "X-Api-Token: YOUR_API_TOKEN" \ -H "Accept: application/json"{
"resources": [
{
"created_at": "string",
"updated_at": "string",
"username": "string",
"description": "string",
"id": "string",
"status": 0,
"status_detail": "ok",
"type": "transactional",
"plan": "free",
"start_date": "string",
"num_messages": "string",
"password": "string",
"config_hostname": "string",
"customer_code": "string",
"customer_fullname": "string",
"domains_count": "string",
"allow_nets": "string",
"domains": "string",
"bounce_notification": "string",
"bounce_notification_to_sender": "string",
"next_renewal_date": "string",
"last_renewal_date": "string",
"plan_expiration_date": "string",
"remaining_messages": "string",
"messages_sent": "string",
"remaining_extra_messages_bought": "string",
"extra_messages_total": "string",
"remaining_messages_error": "string",
"extra_messages_expires_at": "string",
"delivery_analytics": "string",
"has_pending_order": "string",
"delete_on": "string",
"plan_num_messages": "string",
"reset_to_plan_num_messages": "string",
"manager_fullname": "string",
"manager_code": "string",
"ignore_suppression_list": "string"
}
],
"pagination": {}
}{
"message": "Unauthorized",
"errors": []
}{
"message": "Forbidden",
"errors": []
}{
"message": "Not found",
"errors": []
}{
"message": "Validation failed",
"errors": [
{
"field": "name",
"description": "is not valid"
}
]
}